#include "PS2Pad.h"
#include "collisioneffect.h"

#include <stdio.h>

CollisionEffect::CollisionEffect(int length,int new_big_intensity,
											int new_small_intensity)
{
	time_remaining = length;
	big_intensity = new_big_intensity;
	small_intensity = new_small_intensity;
}

void CollisionEffect::Update(float elapsedTime)
{
	time_remaining -= elapsedTime;
}

bool CollisionEffect::IsDone() const
{
	bool retval = time_remaining <= 0.0f;
	if (retval == true)
		delete this;

	return retval;
}

void CollisionEffect::GetIntensities(unsigned char& smallIntensity, unsigned char& bigIntensity)
{
	smallIntensity = small_intensity;
	bigIntensity = big_intensity;
}
