#ifndef _COLLISIONEFFECT_H
#define _COLLISIONEFFECT_H

class CollisionEffect : public PS2PadVibrationEffect
{
public:
	CollisionEffect(int length,int new_big_intensity,int new_small_intensity);
	virtual ~CollisionEffect()	{}

	virtual void Update(float elapsedTime);
	virtual bool IsDone() const;
	virtual void GetIntensities(unsigned char& smallIntensity, unsigned char& bigIntensity);

private:

	float time_remaining;
	int big_intensity;
	int small_intensity;
};


#endif
